Bug 115869 - /usr/bin/mute doesn't restore volume when unmuting
/usr/bin/mute doesn't restore volume when unmuting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aumix (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 13:53 EST by Owen Leonard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 12:57:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Leonard 2004-02-16 13:53:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Using the /usr/bin/mute script is supposed to save the current
settings to $HOME/.aumixrc and then set the volume to 0, 0 .  This
mutes the volume.  If the volume is already muted, it is supposed to
restore the volume using the $HOME/.aumixrc file.  However, the line:

   aumix -S -v 0

causes the volume to be set to 0, 0 and then saves the settings to
$HOME/aumixrc



Version-Release number of selected component (if applicable):
aumix-2.8-6

How reproducible:
Always

Steps to Reproduce:
1.  aumix -q
2.  mute
3.  aumix -q
4.  mute
5.  aumix -q
    

Actual Results:  [owen@balawis owen]$ aumix -q
vol 80, 80
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$ mute
[owen@balawis owen]$ aumix -q
vol 0, 0
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$ mute
[owen@balawis owen]$ aumix -q
vol 0, 0
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$


Expected Results:  [owen@balawis owen]$ aumix -q
vol 80, 80
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$ mute
[owen@balawis owen]$ aumix -q
vol 0, 0
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$ mute
[owen@balawis owen]$ aumix -q
vol 80, 80
pcm 91, 91
speaker 67, 67
line 67, 67, P
mic 56, 100, R
cd 67, 67, P
pcm2 67, 67
igain 67, 67, P
line1 67, 67, P
phin 67, 67, P
phout 67, 67
video 67, 67, P
[owen@balawis owen]$


Additional info:

the only difference is seen in the last aumix -q execution.  In the
Actual results, you see 

vol 0, 0

In the expected results, you see

vol 80, 80


The fix is simple.  Change the line in /usr/bin/mute

    aumix -S -v 0 

to two lines

    aumix -S
    aumix -v 0

This now saves the settings and then mutes the volume.  When unmuting,
the original settings are now restored.
Comment 2 Mike A. Harris 2004-12-23 12:57:24 EST
Change applied to aumix-2.8-11 in rawhide.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.